# ApplicationFramework
PTKernel
PColStd

# PColStd_FieldOfHArray1OfReal Class Reference

`#include <PColStd_FieldOfHArray1OfReal.hxx>`

Inheritance diagram for PColStd_FieldOfHArray1OfReal:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColStd_FieldOfHArray1OfReal ()
Standard_EXPORT | PColStd_FieldOfHArray1OfReal (const Standard_Integer Size)
Standard_EXPORT | PColStd_FieldOfHArray1OfReal (const PColStd_FieldOfHArray1OfReal &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PColStd_FieldOfHArray1OfReal &Other)
void | operator= (const PColStd_FieldOfHArray1OfReal &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_Real &Value)
Standard_EXPORT Standard_Real & | Value (const Standard_Integer Index) const
Standard_Real & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PColStd_FieldOfHArray1OfReal ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PColStd_FieldOfHArray1OfReal_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_FieldOfHArray1OfReal::PColStd_FieldOfHArray1OfReal | ( |  | ) |

Standard_EXPORT PColStd_FieldOfHArray1OfReal::PColStd_FieldOfHArray1OfReal | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PColStd_FieldOfHArray1OfReal::PColStd_FieldOfHArray1OfReal | ( | const PColStd_FieldOfHArray1OfReal & | Varray | ) |

PColStd_FieldOfHArray1OfReal::~PColStd_FieldOfHArray1OfReal | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PColStd_FieldOfHArray1OfReal::Assign | ( | const PColStd_FieldOfHArray1OfReal & | Other | ) |

Standard_EXPORT void PColStd_FieldOfHArray1OfReal::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PColStd_FieldOfHArray1OfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColStd_FieldOfHArray1OfReal::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColStd_FieldOfHArray1OfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Standard_Real& PColStd_FieldOfHArray1OfReal::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PColStd_FieldOfHArray1OfReal::operator= | ( | const PColStd_FieldOfHArray1OfReal & | Other | ) | `[inline]`

Standard_EXPORT void PColStd_FieldOfHArray1OfReal::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PColStd_FieldOfHArray1OfReal::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Real & | Value
| ) |

Standard_EXPORT Standard_Real& PColStd_FieldOfHArray1OfReal::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColStd_FieldOfHArray1OfReal_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColStd_FieldOfHArray1OfReal.hxx